﻿$(document).ready(function () {

    const onBoarding__cardSwiper = new Swiper(".on-boarding__card-swiper", {
        slidesPerView: "1",
        spaceBetween: "120",
        allowTouchMove: false,
        autoHeight: true,
        pagination: {
            el: ".on-boarding .swiper-pagination",
            clickable: true,
        },
        navigation: {
            nextEl: ".on-boarding__card-btn .js-next-btn",
        },
    });
    document.querySelectorAll(".js-next-btn").forEach(function (button) {
        button.addEventListener("click", function () {
            this.blur();
        });
    });
    function createOnboardingSwiper(step, spaceBetween) {
        return new Swiper(`.${step} .on-boarding__card-items-swiper`, {
            slidesPerView: "auto",
            spaceBetween: 12,
            freeMode: {
                enabled: true,
                sticky: true,
            },
            breakpoints: {
                768: {
                    spaceBetween: spaceBetween,
                },
            },
            on: {
                afterInit: function () {
                    setTimeout(() => {
                        let swiperWrapperEl = $(
                            `.${step} .on-boarding__card-items-swiper > .swiper-wrapper`
                        );
                        let swiperWrapperWidth =
                            (swiperWrapperEl.find(".swiper-slide").outerWidth() +
                                spaceBetween) *
                            swiperWrapperEl.find(".swiper-slide").length;
                        if (swiperWrapperWidth < $(".on-boarding__wrapper").width()) {
                            swiperWrapperEl.addClass("justify-content-center");
                        }
                    }, 50);
                },
            },
        });
    }

    const onBoarding__cardItemsSwiperStep1 = createOnboardingSwiper(
        "step-1",
        16
    );
    const onBoarding__cardItemsSwiperStep2 = createOnboardingSwiper(
        "step-2",
        24
    );
    const onBoarding__cardItemsSwiperStep3 = createOnboardingSwiper(
        "step-3",
        24
    );

    $(".on-boarding").slideDown(5);
    $(".on-boarding__card-btn .btn.btn-tertiary").on("click", function () {
        $(".on-boarding").slideUp();
    });

    $(".js-select-onboard-item, .js-select-single-onboard-item").on(
        "click",
        function () {
            const $this = $(this);
            if ($this.hasClass("js-select-single-onboard-item")) {
                $this.siblings().removeClass("active");
            }
            $this.toggleClass("active");
            $this
                .parent()
                .parent()
                .parent()
                .find(".on-boarding__card-btn .disabled")
                .removeClass("disabled");
        }
    );
    $(".js-apply-now-show-sign-in").on("click", function () {
        $("html").css("overflow-y", "hidden");
        $("body").addClass("show-sign-in show-sign-in-padding");
        $(".mobile-menu").removeClass("show");

    });

    $("body .sign-in-iframe__close").on("click", function () {
        $("body").removeClass("show-sign-in");
        $("body").removeClass("no-scroll");
        $("html").css("overflow-y", "scroll");
        setTimeout(() => {
            $("body").removeClass("show-sign-in-padding");
        }, 400);
    });

});